## org.apache.jasper.servlet
Class JspServletWrapper

    java.lang.Object
      org.apache.jasper.servlet.JspServletWrapper

    public class JspServletWrapper

extends Object

The JSP engine (a.k.a Jasper). The servlet container is responsible for providing a URLClassLoader for the web application context Jasper is being used in. Jasper will try get the Tomcat ServletContext attribute for its ServletContext class loader, if that fails, it uses the parent class loader. In either case, it must be a URLClassLoader.

Author:
  Anil K. Vijendran, Harish Prabandham, Remy Maucherat, Kin-man Chung, Glenn Nielsen

Constructor Summary
`JspServletWrapper(ServletContext servletContext, Options options, String tagFilePath, TagInfo tagInfo, JspRuntimeContext rctxt, URL tagFileJarUrl)`

Method Summary
`int` `decTripCount()`
`void` `destroy()`
`List` `getDependants()` Get a list of files that the current page has source dependency on.
`JspCompilationContext` `getJspEngineContext()`
`File` `getJspFile()`
`long` `getLastModificationTest()`
`Servlet` `getServlet()`
`long` `getServletClassLastModifiedTime()` Gets the last-modified time of the servlet class file associated with this JspServletWrapper.
`ServletContext` `getServletContext()`
`int` `incTripCount()`
`boolean` `isTagFile()`
`Class` `loadTagFile()` Compile (if needed) and load a tag file
`Class` `loadTagFilePrototype()` Compile and load a prototype for the Tag file.
`void` `service(HttpServletRequest request, HttpServletResponse response, boolean precompile)`
`void` `setCompilationException(JasperException je)` Sets the compilation exception for this JspServletWrapper.
`void` `setLastModificationTest(long lastModificationTest)`
`void` `setReload(boolean reload)`
`void` `setServletClassLastModifiedTime(long lastModified)` Sets the last-modified time of the servlet class file associated with this JspServletWrapper.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JspServletWrapper

    public JspServletWrapper(ServletContext servletContext,
                             Options options,
                             String tagFilePath,
                             TagInfo tagInfo,
                             JspRuntimeContext rctxt,
                             URL tagFileJarUrl)
                      throws JasperException

Throws:
  `JasperException`

Method Detail

### getJspEngineContext

    public JspCompilationContext getJspEngineContext()

### setReload

    public void setReload(boolean reload)

### getServlet

    public Servlet getServlet()
                       throws ServletException,
                              IOException

  Throws:
    `ServletException`
    `IOException`

### getServletContext

    public ServletContext getServletContext()

### setCompilationException

    public void setCompilationException(JasperException je)

  Sets the compilation exception for this JspServletWrapper.

  Parameters:
    `je` - The compilation exception

### setServletClassLastModifiedTime

    public void setServletClassLastModifiedTime(long lastModified)

  Sets the last-modified time of the servlet class file associated with this JspServletWrapper.

  Parameters:
    `lastModified` - Last-modified time of servlet class

### getServletClassLastModifiedTime

    public long getServletClassLastModifiedTime()

  Gets the last-modified time of the servlet class file associated with this JspServletWrapper.

  Returns:
    Last-modified time of servlet class

### loadTagFile

    public Class loadTagFile()
                      throws JasperException

  Compile (if needed) and load a tag file

  Throws:
    `JasperException`

### loadTagFilePrototype

    public Class loadTagFilePrototype()
                               throws JasperException

  Compile and load a prototype for the Tag file. This is needed when compiling tag files with circular dependencies. A prototpe (skeleton) with no dependencies on other other tag files is generated and compiled.

  Throws:
    `JasperException`

### getDependants

    public List getDependants()

  Get a list of files that the current page has source dependency on.

### isTagFile

    public boolean isTagFile()

### incTripCount

    public int incTripCount()

### decTripCount

    public int decTripCount()

### service

    public void service(HttpServletRequest request,
                        HttpServletResponse response,
                        boolean precompile)
                 throws ServletException,
                        IOException

  Throws:
    `ServletException`
    `IOException`

### destroy

    public void destroy()

### getLastModificationTest

    public long getLastModificationTest()

  Returns:
    Returns the lastModificationTest.

### setLastModificationTest

    public void setLastModificationTest(long lastModificationTest)

  Parameters:
    `lastModificationTest` - The lastModificationTest to set.

### getJspFile

    public File getJspFile()

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.